# BatchBarcodeScannerJsonConfiguration class

Implementers
  - BatchBarcodeScannerConfiguration
Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: false, explicitToJson: true)

## Constructors

BatchBarcodeScannerJsonConfiguration({String? version, String? screen, List<BarcodeDocumentFormat>? acceptedDocumentFormats, BarcodesExtensionFilter? barcodesExtensionFilter, Color? cameraOverlayColor, CameraModule? cameraModule, double? cameraZoomFactor, ZoomRange? cameraZoomRange, bool? cancelButtonHidden, String? cancelButtonTitle, bool? doubleTapToZoomEnabled, bool? pinchToZoomEnabled, bool? shouldAnimateZooming, EngineMode? engineMode, Color? finderLineColor, double? finderLineWidth, String? finderTextHint, Color? finderTextHintColor, AspectRatio? finderAspectRatio, bool? flashButtonHidden, String? flashButtonTitle, bool? flashEnabled, bool? focusLockEnabled, double? focusLockPosition, OrientationLockMode? orientationLockMode, int? minimumTextLength, int? maximumTextLength, int? minimum1DBarcodesQuietZone, bool? minFocusDistanceLock, bool? stripCheckDigits, bool? successBeepEnabled, Color? topBarBackgroundColor, Color? topBarButtonsColor, Color? topBarButtonsInactiveColor, List<BarcodeFormat>? barcodeFormats, bool? useButtonsAllCaps, bool? gs1DecodingEnabled, MSIPlesseyChecksumAlgorithm? msiPlesseyChecksumAlgorithm, bool? lowPowerMode, String? barcodesCountText, Color? barcodesCountTextColor, String? clearButtonTitle, Color? detailsActionColor, Color? detailsBackgroundColor, Color? detailsPrimaryColor, String? deleteButtonTitle, String? enableCameraButtonTitle, String? enableCameraExplanationText, String? fetchingStateText, String? noBarcodesTitle, String? submitButtonTitle, CodeDensity? codeDensity, bool? replaceCancelButtonWithIcon, CameraPreviewMode? cameraPreviewMode, int? autoCancelTimeout, double? initialScanDelay, bool? viewFinderEnabled, SelectionOverlayConfiguration? overlayConfiguration})

## Properties

acceptedDocumentFormats ↔ List<BarcodeDocumentFormat>?
  An optional array of barcode document formats that act as a detection filter. By default all supported document formats will be detected.
  read / write
autoCancelTimeout ↔ int?
  Sets auto close timer in seconds. 0 = disabled and it is the default value. Android only
  read / write
barcodeFormats ↔ List<BarcodeFormat>?
  Accepted barcode formats
  read / write
barcodesCountText ↔ String?
  The color for barcodes count text
  read / write
barcodesCountTextColor ↔ Color?
  The color for barcodes count text
  read / write
barcodesExtensionFilter ↔ BarcodesExtensionFilter?
  The extension filter for EAN and UPC barcodes.
  read / write
cameraModule ↔ CameraModule?
  Background color of the detection overlay.
  read / write
cameraOverlayColor ↔ Color?
  Background color of the detection overlay.
  read / write
cameraPreviewMode ↔ CameraPreviewMode?
  Preview mode of the camera. FILL_IN or FIT_IN. Default is FILL_IN. Android only
  read / write
cameraZoomFactor ↔ double?
  The relative initial zoom level of the camera in the range (0,1), where 0 is zoomed out and 1 is zoomed in. The default value is 0.
  read / write
cameraZoomRange ↔ ZoomRange?
  The range of valid camera zoom factors. Default value is (1.0; 12.0). iOS only.
  read / write
cancelButtonHidden ↔ bool?
  Whether the cancel button is hidden or not. iOS only.
  read / write
cancelButtonTitle ↔ String?
  String being displayed on the cancel button.
  read / write
clearButtonTitle ↔ String?
  Text of the button which clears the list of scanned barcodes.
  read / write
codeDensity ↔ CodeDensity?
  The expected density of QR codes in an image.
  read / write
deleteButtonTitle ↔ String?
  String being displayed on the delete button.
  read / write
detailsActionColor ↔ Color?
  The color of Submit button
  read / write
detailsBackgroundColor ↔ Color?
  The color of bottom sheet
  read / write
detailsPrimaryColor ↔ Color?
  The color of text elements in bottom sheet
  read / write
doubleTapToZoomEnabled ↔ bool?
  When this property is set to true, the zoom can be activated by double tapping somewhere in the receivers view. iOS only.
  read / write
enableCameraButtonTitle ↔ String?
  Title of the button that opens the screen where the user can allow the usage of the camera by the app.
  read / write
enableCameraExplanationText ↔ String?
  Text that will be displayed when the app is not allowed to use the camera, prompting the user to enable the usage of the camera.
  read / write
engineMode ↔ EngineMode?
  String being displayed on the cancel button.
  read / write
fetchingStateText ↔ String?
  The text for the data fetching state of the barcode item in a list. Smth "Fetching info…"
  read / write
finderAspectRatio ↔ AspectRatio?
  Aspect ratio of finder frame (width \ height), which is used to build actual finder frame. Default is 1 - it is a square frame, which is good for QR capturing.
  read / write
finderLineColor ↔ Color?
  Foreground color of the detection overlay.
  read / write
finderLineWidth ↔ double?
  Width of finder frame border. Default is 2.
  read / write
finderTextHint ↔ String?
  String being displayed as description.
  read / write
finderTextHintColor ↔ Color?
  Foreground color of the description label.
  read / write
flashButtonHidden ↔ bool?
  Controls whether the flash toggle button is hidden or not.
  read / write
flashButtonTitle ↔ String?
  String being displayed on the flash button.
  read / write
flashEnabled ↔ bool?
  Whether flash is toggled on or off.
  read / write
focusLockEnabled ↔ bool?
  Disables auto-focus and locks the lens at the specified focus lock lens position. The default value is false.
  read / write
focusLockPosition ↔ double?
  The position of the lens. Values can be between 0.0f (minimum focusing distance) and 1.0f (maximum focusing distance). The value will be clamped to (0.0f, 1.0f). The default value is 0.0.
  read / write
gs1DecodingEnabled ↔ bool?
  When set to `true`, the scanner assumes that the barcode can be a GS1 barcode. Turn it off, if you don't want to see decoded FNC1 characters ("]C1" and ASCII char 29). The default value is `true`. NOTE - Currently works for CODE128 barcodes only!
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
initialScanDelay ↔ double?
  Scanning delay after scanner appearance in seconds. Defaults to 0 secs.
  read / write
lowPowerMode ↔ bool?
  If `true`, enabled the mode which slightly decreases the scanning quality and the energy consumption, and increases the scanning speed. If `false` - mode is disabled. The default is `false`. Android only.
  read / write
maximumTextLength ↔ int?
  Optional maximum text length of the detected barcode. The default is 0 (setting is turned off). NOTE - This feature works on ITF barcodes only.
  read / write
minFocusDistanceLock ↔ bool?
  Lock focus distance withing minimum possible range
  read / write
minimum1DBarcodesQuietZone ↔ int?
  Optional minimum required quiet zone on the barcode. Measured in modules (the size of minimal bar on the barcode). The default is 10. NOTE - This feature works on ITF barcodes only.
  read / write
minimumTextLength ↔ int?
  Optional minimum required text length of the detected barcode. The default is 0 (setting is turned off). NOTE - This feature works on ITF barcodes only.
  read / write
msiPlesseyChecksumAlgorithm ↔ MSIPlesseyChecksumAlgorithm?
  The checksum algorithm for MSI Plessey barcodes. The default value is MOD_10.
  read / write
noBarcodesTitle ↔ String?
  Text of the message that there are no barcodes scanned
  read / write
orientationLockMode ↔ OrientationLockMode?
  UI Interface orientation lock mode
  read / write
overlayConfiguration ↔ SelectionOverlayConfiguration?
  The selection overay configuration.
  read / write
pinchToZoomEnabled ↔ bool?
  When this property is set to true, the zoom can be activated by a pinch gesture somewhere in the receivers view. iOS only.
  read / write
replaceCancelButtonWithIcon ↔ bool?
  If `true`, replaces the cancel button in the top bar with a back arrow icon. The default value is FALSE. Android only.
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
screen ↔ String?
  The configuration object should be applied for this screen
  read / write
shouldAnimateZooming ↔ bool?
  Defines, if zooming in or out should be animated. iOS only.
  read / write
stripCheckDigits ↔ bool?
  With this option enabled, the scanner removes checks digits for UPC, EAN and MSI Plessey codes. Has no effect if both single and double digit MSI Plessey checksums are enabled. The default is `false`
  read / write
submitButtonTitle ↔ String?
  Text of the button which finishes the flow
  read / write
successBeepEnabled ↔ bool?
  Whether scanner screen should make a sound on successful barcode or MRZ detection.
  read / write
topBarBackgroundColor ↔ Color?
  Background color of the top bar.
  read / write
topBarButtonsColor ↔ Color?
  Foreground color of the cancel button.
  read / write
topBarButtonsInactiveColor ↔ Color?
  Foreground color of the top bar buttons when disabled.
  read / write
useButtonsAllCaps ↔ bool?
  Controls whether buttons should use all capitals style, as defined by the Android Material Design. Defaults to TRUE. Android only.
  read / write
version ↔ String?
  A version of the configuration object
  read / write
viewFinderEnabled ↔ bool?
  Display the region of interest. The default value is TRUE.
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited